﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class FilterSavitzkyGolayCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private FilterSavitzkyGolayCommandView() {
      InitializeComponent();
    }

    public FilterSavitzkyGolayCommandView(FilterSavitzkyGolayCommand command)
      : this() {
      this.Command = command;
    }

    public new FilterSavitzkyGolayCommand Command {
      get { return (FilterSavitzkyGolayCommand)base.Command; }
      protected set { base.Command = value; this.UpdateCommand(); }
    }

    public int WindowLeft {
      get { return this.Command.WindowLeft; }
    }
    public int WindowRight {
      get { return this.Command.WindowRight; }
    }
    public int Order {
      get { return this.Command.Order; }
    }
    public int OrderOfDerivative {
      get { return this.Command.OrderOfDerivative; }
    }

    private void numWindowLeft_ValueChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void numWindowRight_ValueChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void numOrder_ValueChanged(object sender, EventArgs e) {
      this.UpdateCommand();
    }

    private void numOrderOfDerivative_ValueChanged(object sender, EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (Command != null) {
        this.Command.WindowLeft = (int)this.numWindowLeft.Value;
        this.Command.WindowRight = (int)this.numWindowRight.Value;
        this.Command.Order = (int)this.numOrder.Value;
        this.Command.OrderOfDerivative = (int) this.numOrderOfDerivative.Value;
      }
    }
  }
}
